@echo off & setlocal enableextensions & echo.

:: Add filenames for Web distribution, main folder. Called by webgen.bat.
:: If a file does not exist, an error message is displayed
:: and ERRORLEVEL is set to 1.
:: If a file exists, its name is appended to addfil_.tmp.

set addfil_=0

if "%1%" equ "" goto e-par
if "%1%" equ "data" goto data
if "%1%" equ "general" goto general
goto e-par

:: Files to be include in the 'data' zipfile.
:data

call addfil_ *.
call addfil_ *.en
call addfil_ *.fr
call addfil_ *.bat
call addfil_ *.bmp
call addfil_ *.css
call addfil_ *.doc*
call addfil_ *.gif
call addfil_ *.htm*
call addfil_ *.ink
call addfil_ *.inp
call addfil_ *.txt

goto finish

:: Files to be placed (unzipped) on the Web site.
:general

call addfil_ deltlogo.gif
call addfil_ style.css
call addfil_ data.htm
call addfil_ images.htm
call addfil_ index.htm

goto finish

:e-par
echo    Parameter error in call to 'webaddm.bat'.
endlocal
exit /b 1

:finish
if %addfil_% neq 0 exit /b 1
exit /b 0
